iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Properties | List of all members
MAHeatMapVectorOverlayOptions Class Reference

`#import <MAHeatMapVectorOverlay.h>`

Inheritance diagram for MAHeatMapVectorOverlayOptions:

## Instance Methods
(CGFloat opacity) | - __attribute

## Properties
MAHeatMapType | type
BOOL | visible
NSArray< MAHeatMapVectorNode * > * | inputNodes
| MAHeatMapVectorNode array. More...
CLLocationDistance | size
CGFloat | gap
NSArray< UIColor * > * | colors
NSArray< NSNumber * > * | startPoints
int | maxIntensity
CGFloat | minZoom
CGFloat | maxZoom

## Detailed Description

该类用于定义热力图属性. This class is used to define heatmap properties

## Method Documentation

## ◆ __attribute

- (CGFloat opacity) __attribute |  | ((deprecated("Deprecated, since 7.9.0, please use alpha in MAHeatMapVectorOverlayRender"))) |  |

透明度，取值范围[0,1] ，default为1不透明 Transparency, value range [0,1], default is 1 for opaque

## Property Documentation

## ◆ colors

- (NSArray<UIColor *>*) colors
| read write nonatomic strong

颜色变化数组。 注意：colors和startPoints两数组长度必须一致且不能为0， Color gradient array. Note: The lengths of the colors and startPoints arrays must be equal and cannot be 0.

## ◆ gap

- (CGFloat) gap
| read write nonatomic assign

节点之间的间隔 单位：米 负数按照0处理。注意：改变gap可能会改变热力节点的计算，内部会用size+gap来计算热力，最终用size来画方框。 The spacing between nodes, unit: meters, negative values are treated as 0. Note: Changing the gap may alter the calculation of heat nodes; internally, size + gap is used to calculate the heat, and finally, size is used to draw the box.

## ◆ inputNodes

- (NSArray<MAHeatMapVectorNode *>*) inputNodes
| read write nonatomic strong

MAHeatMapVectorNode array.

## ◆ maxIntensity

- (int) maxIntensity
| read write nonatomic assign

权重的最大值，default为0，表示不填，不填则取数组inputNodes中权重的最大值 Maximum weight, default is 0, indicating not filled, if not filled, the maximum weight in the array inputNodes is taken

## ◆ maxZoom

- (CGFloat) maxZoom
| read write nonatomic assign

最大显示级别 default 20 Maximum display level, default 20

## ◆ minZoom

- (CGFloat) minZoom
| read write nonatomic assign

最小显示级别 default 3 Minimum display level, default 3

## ◆ size

- (CLLocationDistance) size
| read write nonatomic assign

    节点的宽 单位：米 负数按照0处理 default 2000
        —— ——    —— ——
      丨     丨 丨     丨
      丨     丨 丨     丨
        —— ——    —— ——

    每个方框的宽就是 size（六边形同理）
    两个方框之间的间隔就是 gap （六边形同理）

    Node width in meters (negative values treated as 0, default 2000)
        —— ——    —— ——
      丨     丨 丨     丨
      丨     丨 丨     丨
        —— ——    —— ——

    The width of each box is size (same for hexagons)
    The gap between two boxes is gap (same for hexagons)

## ◆ startPoints

- (NSArray<NSNumber *>*) startPoints
| read write nonatomic strong

颜色变化起点，需为递增数组，区间为[0, 1]。 注意：colors和startPoints两数组长度必须一致且不能为0。例如：startPoints @[@(0), @(0.3),@(0.7)] 表示区间 [0,0.3)使用第一个颜色，区间[0.3,0.7)使用第二个颜色，区间[0.7,1]使用第三个颜色。注意：startPoints首位需设置成0，如果首位不是0，内部也会把首位当成0来处理。 The starting point of color change must be an increasing array within the range [0, 1]. Note: the lengths of the colors and startPoints arrays must be the same and cannot be zero.For example: startPoints @[@(0), @(0.3),@(0.7)] means the interval [0,0.3) uses the first color, the interval [0.3,0.7) uses the second color, and the interval [0.7,1] uses the third color.Note: The first element of startPoints must be set to 0. If it is not 0, the system will treat the first element as 0 internally.

## ◆ type

- (MAHeatMapType) type
| read write nonatomic assign

热力图类型 (默认为蜂窝类型MAHeatMapTypeHoneycomb) Heatmap type (default is honeycomb type MAHeatMapTypeHoneycomb)

## ◆ visible

- (BOOL) visible
| read write nonatomic assign

option选项是否可见. (默认YES) Whether the option is visible. (Default: YES)

The documentation for this class was generated from the following file:

- MAHeatMapVectorOverlay.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。